Subject: [bug#60424] [PATCH 0/2] gnu: Add online-judge-tools

From: gemmaro <[email-masked]>
Date: Sat, 7 Jan 2023 18:33:08 +0900

Hello,

This revised patch series add online-judge-tools (`oj' command), which helps
solving problems on various online judges.

> general notes: Please split your changes into one patch per package and
> add changelog-style commit messages.
My apologies.
I split into two paches per package and add commit messages for each.

> > +    ;; NOTE: somehow it cannot be downloaded from PyPI
> Why did it fail?
It was because the both packages doesn't have source distributions on PyPI.
I added comments for this.

> > +     ;; NOTE: a lot of tests needs networking
> > +     `(#:tests? #f))
> Is it possible to disable just the ones that require networking instead
> of disabling all tests?
I changed to disable only failed test cases.
One assertion in the test case on the `online-judge-tools` (at the end of
`online-judge-tools.patch`) doesn't pass, so I commented it out. I am not sure
of the cause, but this would not be a problem in normal use.

> It looks like this one provides a command-line tool called `oj`, so
> the package should be named `oj` or just `online-judge-tools` without
> python- prefix.
I renamed it to `online-judge-tools`.

I have also added the `time` package as input for `online-judge-tools`.
GNU Time is used by the `oj test` command.

Sincerely,
gemmaro

gemmaro (2):
  gnu: Add python-online-judge-api-client
  gnu: Add online-judge-tools

 gnu/packages/patches/online-judge-tools.patch |  62 +++
 ...python-online-judge-api-client-tests.patch | 429 ++++++++++++++++++
 gnu/packages/python-xyz.scm                   |  97 ++++
 3 files changed, 588 insertions(+)
 create mode 100644 gnu/packages/patches/online-judge-tools.patch
 create mode 100644 gnu/packages/patches/python-online-judge-api-client-tests.patch

base-commit: ddebb5c5634fcfbec9571453f2db72b238d73e75
-- 
2.38.1